#!/usr/bin/env python

#-----------------------------------------------------------------------
# circle3.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import math

#-----------------------------------------------------------------------

def main():

    try:
        line = input("Enter the circle's radius:\n")
        radius = int(line)

        diam = 2 * radius
        circum = math.pi * float(diam)

        print('A circle with radius', radius, 'has diameter', diam)
        print('and circumference %f.' % circum)

    except ValueError:
        print('Error: Not an integer', file=sys.stderr)

    except EOFError:
        print('Error: Missing integer', file=sys.stderr)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
