#!/usr/bin/env python

#-----------------------------------------------------------------------
# fibclient.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import intmath.fibonacci

def main():

    try:
        for i in range(10):
            print('fib(' + str(i) + ') = ' +
                str(intmath.fibonacci.fib(i)))

    except ValueError:
        print('Error: Not a positive integer', file=sys.stderr)
        sys.exit(1)

if __name__ == '__main__':
    main()
