#!/usr/bin/env python

#-----------------------------------------------------------------------
# circle2.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import math

#-----------------------------------------------------------------------

def main():

    try:
        line = input("Enter the circle's radius:\n")
        radius = int(line)

        diam = 2 * radius
        circum = math.pi * float(diam)

        print('A circle with radius', radius, 'has diameter', diam)
        print('and circumference %f.' % circum)

    except Exception as ex:
        print(str(ex), file=sys.stderr)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
